﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Shell.Views;
using Microsoft.Practices.Prism.UnityExtensions;
using Microsoft.Practices.Prism.Modularity;

namespace Shell
{
	public class Bootstrapper : UnityBootstrapper
	{
		protected override DependencyObject CreateShell()
		{
			// Use the container to create an instance of the shell.
			ShellView shellView = Container.TryResolve<ShellView>();
			// Display the Shell as the root visual for the application.
			Application.Current.RootVisual = shellView;
			return shellView;
		}

		protected override IModuleCatalog CreateModuleCatalog()
		{
			return Microsoft.Practices.Prism.Modularity.ModuleCatalog.CreateFromXaml(
			  new Uri("/Shell;component/ModulesCatalog.xaml", UriKind.Relative));
		}


	}
}
